select c.name as Category,
	e.name as Source,
	f.name as Type,
	b.nameL as Last,
	b.nameF as First,
	b.nameM as M,
	a.waterShares as Shares,
	a.waterAcreFt as Inventory
from WaterTypeUser a,
	users b,
	WaterShareCategory c,
	WaterSourceType d,
	WaterSource e,
	WaterType f
where b.userID = a.userID
and c.watersharecategoryID = a.watersharecategoryID
and d.watersourcetypeID = a.watersourcetypeID
and e.watersourceID = d.watersourceID
and f.waterTypeID = d.watertypeID
order by c.name, e.name, f.name, b.nameL, b.nameF, b.nameM;
	