select 
	b.nameL as Last,
	b.nameF as First,
	b.nameM as M,
	e.name as Source,
	f.name as Type,
	a.waterShares as Shares,
	a.waterAcreFt as Inventory
from WaterTypeUser a,
	users b,
	WaterSourceType d,
	WaterSource e,
	WaterType f
where a.watersharecategoryID = -1 
and b.userID = a.userID
and d.watersourcetypeID = a.watersourcetypeID
and e.watersourceID = d.watersourceID
and f.waterTypeID = d.watertypeID
order by b.nameL, b.nameF, b.nameM;
	